/* global.h

   Global function declarations... */

/*
 * Copyright (c) 1995 RadioMail Corporation.  All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 *
 * 1. Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 * 2. Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the
 *    documentation and/or other materials provided with the distribution.
 * 3. Neither the name of RadioMail Corporation nor the names of its
 *    contributors may be used to endorse or promote products derived
 *    from this software without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY RADIOMAIL CORPORATION AND CONTRIBUTORS
 * ``AS IS'' AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
 * LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS
 * FOR A PARTICULAR PURPOSE ARE DISCLAIMED.  IN NO EVENT SHALL
 * RADIOMAIL CORPORATION OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT,
 * INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
 * (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR
 * SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
 * HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT,
 * STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
 * ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED
 * OF THE POSSIBILITY OF SUCH DAMAGE.
 *
 * This software was written for RadioMail Corporation by Ted Lemon
 * under a contract with Vixie Enterprises, and is based on an earlier
 * design by Paul Vixie.
 */

/* errwarn.c
   I know it doesn't make sense for these functions to return values,
   but it turns out to be handy in ?: expressions... :'( */
int error PROTO ((char *, ...));
int warn PROTO ((char *, ...));
int info PROTO ((char *, ...));
int debug PROTO ((char *, ...));

/* modemd.c */
int main PROTO ((int, char **, char **));
void modemAnswer PROTO ((int));
void hup PROTO ((int));
void connected PROTO ((int));
void cleanup ();

/* atparse.c */
char **atparse PROTO ((char *, int));

/* dialog.c */
int modemAttn PROTO ((int));
void modemInit PROTO ((int));

/* ttio.c */
int ttsetup PROTO ((char *));
void ttnormal PROTO ((int));
void tthupcl PROTO ((int));
void ttset_ctty PROTO ((int));
void redirect_std PROTO ((int));
int ttmatch PROTO ((int, int, ...));
int ttread_connect_speed PROTO ((int, int));
void ttdrain PROTO ((int));
void ttwait PROTO ((int));
int ttgetc PROTO ((int));
void ttputc PROTO ((int, int));
void ttputs PROTO ((int, char *));
void ttoflush PROTO ((int));
void ttwrite PROTO ((int, char *));
void ttwriteslow PROTO ((int, char *));
char *ttstring PROTO ((int));

/* mcap.c */
void init_mcap PROTO ((char *));

/* login.c */
void do_login PROTO ((char *, char *));
void do_logout PROTO ((void));

/* lock.c */
int ttnewlock PROTO ((char *, int));
int ttgetlock PROTO ((int));
void ttunlock PROTO ((void));

/* listen.c */
struct in_addr;	/* forward */
void listener PROTO ((int, struct in_addr *, int));

/* mpoold.c */
/* main is declared for modemd.c... */
int modemConnect PROTO ((int));

/* connect.c */
int tcp_connect PROTO ((int));

/* compat.c */
void really_usleep PROTO ((unsigned long));
void usleep_sig PROTO ((int));

/* ppp.c */

void ppp_detect PROTO ((int, char *));
